function [ jehlan ] = VytvorJehlan(a,b,v)
%VYTVOR Summary of this function goes here
%   Detailed explanation goes here
    a = round(a/2);
    b = round(b/2);
    

    j = zeros(round(a), round(b),v);
    
    j(:,:,1) = ones(round(a),round(b));
    
    zmenax = a/v;
    zmenay = b/v;
    m = j(:,:,1);
    
    
    
    
    for i=2:v
        
        n = VytvorObdelnik(a-round(zmenax*(i-1)), b-round(zmenay*(i-1)));
        n = [n; zeros(size(m,1) - size(n,1),size(n,2))];
        n = [n zeros(size(n,1), (size(m,2) - size(n,2)))];
        
        j(:,:,i) = n;
        
        
    end
    
    
    jehlan = [fliplr(flipud(j)) flipud(j);fliplr(j) j];
    
end

